Solution to bootstrap installation failure of rails in Windows Environment

Time:2019-11-20

Under Windows environment, rails always fails to install bootstrap, indicating that therubyracer cannot be installed.

This is because the less file used by bootstrap relies on the real-time execution of JS by therubyracer to convert less to CSS, while therubyracer gem has no corresponding Windows version.

Hiran Peiris provides a solution on GitHub, and compiles all DLLs and gems. Now, we can finally use bootstrap under windows.